Package pyplusplus :: Package code_creators :: Module calldef :: Class calldef_t

# type calldef_t

source code

                             object --+
                                      |
            code_creator.code_creator_t --+
                                          |
    registration_based.registration_based_t --+
                                              |
      declaration_based.declaration_based_t --+
                                              |
                                             calldef_t

Known Subclasses:
  - calldef_transformed.constructor_transformed_t
  - , calldef_transformed.sealed_fun_transformed_t
  - , calldef_transformed.mem_fun_v_transformed_t
  - , constructor_t
  - , free_function_t
  - , make_constructor_t
  - , mem_fun_protected_pv_t
  - , mem_fun_protected_s_t
  - , mem_fun_protected_t
  - , mem_fun_protected_v_t
  - , mem_fun_pv_t
  - , mem_fun_t
  - , mem_fun_v_t

Instance Methods

__init__(self, function, wrapper=None) Constructor. | source code

def_identifier(self) | source code

pure_virtual_identifier(self) | source code

param_sep(self) | source code

create_keywords_args(self) | source code

create_call_policies(self, default_generates_code_too=False) | source code

create_def_code(self) | source code

create_doc(self) | source code

create_function_ref_code(self, use_function_alias=False) | source code

create_function_type_alias_code(self, exported_class_alias=None) | source code

Inherited from `code_creator.code_creator_t`: `beautify`, `create`, `get_system_headers` Inherited from `declaration_based.declaration_based_t`: `get_user_headers`

Static Methods
Inherited from `code_creator.code_creator_t`: `indent`, `is_comment`, `unindent`, `unique_headers`

Class Variables
Inherited from `code_creator.code_creator_t`: `LINE_LENGTH`, `PARAM_SEPARATOR`, `PYPLUSPLUS_NS_NAME`

Properties
| associated_decl_creators references to declaration code creators.
| wrapper
| function_type_alias
| exported_class_alias
Inherited from `code_creator.code_creator_t`: `parent`, `target_configuration`, `top_parent`, `works_on_instance` Inherited from `declaration_based.declaration_based_t`: `alias`, `decl_identifier`, `declaration`, `documentation`

Method Details

### __init__(self, function, wrapper=None)
(Constructor)

source code

Constructor.

Parameters:
  - `parent` - Parent code creator.
Overrides: declaration_based.declaration_based_t.__init__
  (inherited documentation)

Property Details

### associated_decl_creators

references to declaration code creators.

### wrapper

Get Method:
  _get_wrapper(self)
Set Method:
  _set_wrapper(self, new_wrapper)

### function_type_alias

Get Method:
  _get_function_type_alias(self)

### exported_class_alias

Get Method:
  _get_exported_class_alias(self)